Bug 251027 - Evolution crashes when viewing an email
Evolution crashes when viewing an email
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
7
All Linux
medium Severity high
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-06 12:23 EDT by Robert Peterson
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version: evolution-2.12.1-3.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-26 13:15:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Tar/Zip of mail folder containing the offending email (8.17 KB, application/octet-stream)
2007-08-09 16:43 EDT, Robert Peterson
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 419186 None None None Never

  None (edit)
Description Robert Peterson 2007-08-06 12:23:23 EDT
Description of problem:
Reading an email caused evolution to crash.

Version-Release number of selected component (if applicable):
FC6 late yum update

How reproducible:
Always for me when I view this particular email.

Steps to Reproduce:
1. Open evolution with show-preview on.
  
Actual results:
Evolution crashes

Expected results:
Email read normally

Additional info:
Output from bug-buddy:

Distribution: Fedora Core release 6 (Zod)
Gnome Release: 2.16.3 2007-01-31 (Red Hat, Inc)
BugBuddy Version: 2.16.0

System: Linux 2.6.20-1.2952.fc6 #1 SMP Wed May 16 18:18:22 EDT 2007 x86_64
X Vendor: The X.Org Foundation
X Vendor Release: 70101000
Selinux: Permissive
Accessibility: Disabled

Memory status: size: 842326016 vsize: 842326016 resident: 131411968 share:
84946944 rss: 131411968 rss_rlim: -1
CPU usage: start_time: 1186415141 rtime: 4325 utime: 3661 stime: 664 cutime:41
cstime: 22 timeout: 0 it_real_value: 0 frequency: 100

Backtrace was generated from '/usr/bin/evolution'

(no debugging symbols found)
Using host libthread_db library "/lib64/libthread_db.so.1".
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
[Thread debugging using libthread_db enabled]
[New Thread 46912565932544 (LWP 24249)]
[New Thread 1147435328 (LWP 24264)]
[New Thread 1147169088 (LWP 24261)]
[New Thread 1126189376 (LWP 24260)]
[New Thread 1136679232 (LWP 24258)]
[New Thread 1115699520 (LWP 24256)]
[New Thread 1105209664 (LWP 24255)]
[New Thread 1094719808 (LWP 24254)]
[New Thread 1084229952 (LWP 24252)]
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
0x00002aaaabc2b9ff in waitpid () from /lib64/libpthread.so.0
#0  0x00002aaaabc2b9ff in waitpid () from /lib64/libpthread.so.0
#1  0x0000003e2ae56d07 in gnome_gtk_module_info_get ()
   from /usr/lib64/libgnomeui-2.so.0
#2  <signal handler called>
#3  0x00002aaaad41e065 in raise () from /lib64/libc.so.6
#4  0x00002aaaad41fb00 in abort () from /lib64/libc.so.6
#5  0x0000003c9c635045 in g_logv () from /lib64/libglib-2.0.so.0
#6  0x0000003c9c6350e3 in g_log () from /lib64/libglib-2.0.so.0
#7  0x0000003c9c635166 in g_assert_warning () from /lib64/libglib-2.0.so.0
#8  0x00002aaab7750487 in em_format_html_display_new ()
   from /usr/lib64/evolution/2.8/components/libevolution-mail.so
#9  0x00002aaab775140e in em_format_html_new ()
   from /usr/lib64/evolution/2.8/components/libevolution-mail.so
#10 0x0000003e2ea6b72d in html_g_cclosure_marshal_BOOLEAN__OBJECT ()
   from /usr/lib64/libgtkhtml-3.8.so.15
#11 0x0000003c9ce0af19 in g_closure_invoke () from /lib64/libgobject-2.0.so.0
#12 0x0000003c9ce1a788 in g_signal_chain_from_overridden ()
   from /lib64/libgobject-2.0.so.0
#13 0x0000003c9ce1b99d in g_signal_emit_valist ()
   from /lib64/libgobject-2.0.so.0
#14 0x0000003c9ce1bda3 in g_signal_emit () from /lib64/libgobject-2.0.so.0
#15 0x0000003e2ea3011e in gtk_html_get_top_html ()
   from /usr/lib64/libgtkhtml-3.8.so.15
#16 0x0000003e2ea6b72d in html_g_cclosure_marshal_BOOLEAN__OBJECT ()
   from /usr/lib64/libgtkhtml-3.8.so.15
#17 0x0000003c9ce0af19 in g_closure_invoke () from /lib64/libgobject-2.0.so.0
#18 0x0000003c9ce1a788 in g_signal_chain_from_overridden ()
   from /lib64/libgobject-2.0.so.0
#19 0x0000003c9ce1b99d in g_signal_emit_valist ()
   from /lib64/libgobject-2.0.so.0
#20 0x0000003c9ce1bda3 in g_signal_emit () from /lib64/libgobject-2.0.so.0
#21 0x0000003e2ea5bb9f in html_engine_add_object_with_id ()
   from /usr/lib64/libgtkhtml-3.8.so.15
#22 0x0000003e2ea5a460 in html_engine_add_object_with_id ()
   from /usr/lib64/libgtkhtml-3.8.so.15
#23 0x0000003e2ea5fedd in html_engine_update_focus_if_necessary ()
   from /usr/lib64/libgtkhtml-3.8.so.15
#24 0x0000003e2ea5ff88 in html_engine_flush ()
   from /usr/lib64/libgtkhtml-3.8.so.15
#25 0x00002aaab7757b89 in em_html_stream_new ()
   from /usr/lib64/evolution/2.8/components/libevolution-mail.so
#26 0x00002aaab776429f in em_sync_stream_get_type ()
   from /usr/lib64/evolution/2.8/components/libevolution-mail.so
#27 0x0000003c9c62cf64 in g_main_context_dispatch ()
   from /lib64/libglib-2.0.so.0
#28 0x0000003c9c62fd9d in g_main_context_check () from /lib64/libglib-2.0.so.0
#29 0x0000003c9c6300aa in g_main_loop_run () from /lib64/libglib-2.0.so.0
#30 0x0000003ca842d0e6 in bonobo_main () from /usr/lib64/libbonobo-2.so.0
#31 0x000000000041596d in POA_GNOME_Evolution_DataServer_InterfaceCheck__fini
    ()
#32 0x00002aaaad40b8a4 in __libc_start_main () from /lib64/libc.so.6
#33 0x0000000000409c09 in ?? ()
#34 0x00007fff1cf936b8 in ?? ()
#35 0x0000000000000000 in ?? ()

Thread 9 (Thread 1084229952 (LWP 24252)):
#0  0x00002aaaabc284a6 in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib64/libpthread.so.0
No symbol table info available.
#1  0x0000003c9c6111c5 in g_async_queue_sort () from /lib64/libglib-2.0.so.0
No symbol table info available.
#2  0x00002aaaac10dd0c in e_msgport_wait ()
   from /usr/lib64/libedataserver-1.2.so.7
No symbol table info available.
#3  0x00002aaaac10e2bc in e_msgport_reply ()
   from /usr/lib64/libedataserver-1.2.so.7
No symbol table info available.
#4  0x00002aaaabc242f7 in start_thread () from /lib64/libpthread.so.0
No symbol table info available.
#5  0x00002aaaad4bc86d in clone () from /lib64/libc.so.6
No symbol table info available.
#6  0x0000000000000000 in ?? ()
No symbol table info available.

Thread 8 (Thread 1094719808 (LWP 24254)):
#0  0x00002aaaad4b3d26 in poll () from /lib64/libc.so.6
No symbol table info available.
#1  0x0000003c9c62fbee in g_main_context_check () from /lib64/libglib-2.0.so.0
No symbol table info available.
#2  0x0000003c9c6300aa in g_main_loop_run () from /lib64/libglib-2.0.so.0
No symbol table info available.
#3  0x0000003d3aa03413 in libnm_glib_init () from /usr/lib64/libnm_glib.so.0
No symbol table info available.
#4  0x0000003c9c6490f4 in g_thread_create_full () from /lib64/libglib-2.0.so.0
No symbol table info available.
#5  0x00002aaaabc242f7 in start_thread () from /lib64/libpthread.so.0
No symbol table info available.
#6  0x00002aaaad4bc86d in clone () from /lib64/libc.so.6
No symbol table info available.
#7  0x0000000000000000 in ?? ()
No symbol table info available.

Thread 7 (Thread 1105209664 (LWP 24255)):
#0  0x00002aaaabc284a6 in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib64/libpthread.so.0
No symbol table info available.
#1  0x0000003c9c6111c5 in g_async_queue_sort () from /lib64/libglib-2.0.so.0
No symbol table info available.
#2  0x00002aaaac10dd0c in e_msgport_wait ()
   from /usr/lib64/libedataserver-1.2.so.7
No symbol table info available.
#3  0x00002aaaac10e2bc in e_msgport_reply ()
   from /usr/lib64/libedataserver-1.2.so.7
No symbol table info available.
#4  0x00002aaaabc242f7 in start_thread () from /lib64/libpthread.so.0
No symbol table info available.
#5  0x00002aaaad4bc86d in clone () from /lib64/libc.so.6
No symbol table info available.
#6  0x0000000000000000 in ?? ()
No symbol table info available.

Thread 6 (Thread 1115699520 (LWP 24256)):
#0  0x00002aaaabc284a6 in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib64/libpthread.so.0
No symbol table info available.
#1  0x0000003c9c6111c5 in g_async_queue_sort () from /lib64/libglib-2.0.so.0
No symbol table info available.
#2  0x00002aaaac10dd0c in e_msgport_wait ()
   from /usr/lib64/libedataserver-1.2.so.7
No symbol table info available.
#3  0x00002aaab7764006 in em_sync_stream_get_type ()
   from /usr/lib64/evolution/2.8/components/libevolution-mail.so
No symbol table info available.
#4  0x00002aaab7764405 in em_sync_stream_get_type ()
   from /usr/lib64/evolution/2.8/components/libevolution-mail.so
No symbol table info available.
#5  0x00002aaab775210c in em_format_html_new ()
   from /usr/lib64/evolution/2.8/components/libevolution-mail.so
No symbol table info available.
#6  0x00002aaab7771521 in mail_enable_stop ()
   from /usr/lib64/evolution/2.8/components/libevolution-mail.so
No symbol table info available.
#7  0x00002aaaac10e272 in e_msgport_reply ()
   from /usr/lib64/libedataserver-1.2.so.7
No symbol table info available.
#8  0x00002aaaabc242f7 in start_thread () from /lib64/libpthread.so.0
No symbol table info available.
#9  0x00002aaaad4bc86d in clone () from /lib64/libc.so.6
No symbol table info available.
#10 0x0000000000000000 in ?? ()
No symbol table info available.

Thread 5 (Thread 1136679232 (LWP 24258)):
#0  0x00002aaaabc284a6 in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib64/libpthread.so.0
No symbol table info available.
#1  0x0000003c9c6111c5 in g_async_queue_sort () from /lib64/libglib-2.0.so.0
No symbol table info available.
#2  0x00002aaaac10dd0c in e_msgport_wait ()
   from /usr/lib64/libedataserver-1.2.so.7
No symbol table info available.
#3  0x00002aaaac10e2bc in e_msgport_reply ()
   from /usr/lib64/libedataserver-1.2.so.7
No symbol table info available.
#4  0x00002aaaabc242f7 in start_thread () from /lib64/libpthread.so.0
No symbol table info available.
#5  0x00002aaaad4bc86d in clone () from /lib64/libc.so.6
No symbol table info available.
#6  0x0000000000000000 in ?? ()
No symbol table info available.

Thread 4 (Thread 1126189376 (LWP 24260)):
#0  0x00002aaaabc284a6 in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib64/libpthread.so.0
No symbol table info available.
#1  0x0000003c9c6111c5 in g_async_queue_sort () from /lib64/libglib-2.0.so.0
No symbol table info available.
#2  0x00002aaaac10dd0c in e_msgport_wait ()
   from /usr/lib64/libedataserver-1.2.so.7
No symbol table info available.
#3  0x00002aaaac10e2bc in e_msgport_reply ()
   from /usr/lib64/libedataserver-1.2.so.7
No symbol table info available.
#4  0x00002aaaabc242f7 in start_thread () from /lib64/libpthread.so.0
No symbol table info available.
#5  0x00002aaaad4bc86d in clone () from /lib64/libc.so.6
No symbol table info available.
#6  0x0000000000000000 in ?? ()
No symbol table info available.

Thread 3 (Thread 1147169088 (LWP 24261)):
#0  0x00002aaaabc284a6 in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib64/libpthread.so.0
No symbol table info available.
#1  0x0000003c9c6111c5 in g_async_queue_sort () from /lib64/libglib-2.0.so.0
No symbol table info available.
#2  0x00002aaaac10dd0c in e_msgport_wait ()
   from /usr/lib64/libedataserver-1.2.so.7
No symbol table info available.
#3  0x00002aaaac10e2bc in e_msgport_reply ()
   from /usr/lib64/libedataserver-1.2.so.7
No symbol table info available.
#4  0x00002aaaabc242f7 in start_thread () from /lib64/libpthread.so.0
No symbol table info available.
#5  0x00002aaaad4bc86d in clone () from /lib64/libc.so.6
No symbol table info available.
#6  0x0000000000000000 in ?? ()
No symbol table info available.

Thread 2 (Thread 1147435328 (LWP 24264)):
#0  0x00002aaaad4b3d26 in poll () from /lib64/libc.so.6
No symbol table info available.
#1  0x0000003c9c62fbee in g_main_context_check () from /lib64/libglib-2.0.so.0
No symbol table info available.
#2  0x0000003c9c6300aa in g_main_loop_run () from /lib64/libglib-2.0.so.0
No symbol table info available.
#3  0x0000003ca54458f0 in link_set_io_thread () from /usr/lib64/libORBit-2.so.0
No symbol table info available.
#4  0x0000003c9c6490f4 in g_thread_create_full () from /lib64/libglib-2.0.so.0
No symbol table info available.
#5  0x00002aaaabc242f7 in start_thread () from /lib64/libpthread.so.0
No symbol table info available.
#6  0x00002aaaad4bc86d in clone () from /lib64/libc.so.6
No symbol table info available.
#7  0x0000000000000000 in ?? ()
No symbol table info available.

Thread 1 (Thread 46912565932544 (LWP 24249)):
#0  0x00002aaaabc2b9ff in waitpid () from /lib64/libpthread.so.0
No symbol table info available.
#1  0x0000003e2ae56d07 in gnome_gtk_module_info_get ()
   from /usr/lib64/libgnomeui-2.so.0
No symbol table info available.
#2  <signal handler called>
No symbol table info available.
#3  0x00002aaaad41e065 in raise () from /lib64/libc.so.6
No symbol table info available.
#4  0x00002aaaad41fb00 in abort () from /lib64/libc.so.6
No symbol table info available.
#5  0x0000003c9c635045 in g_logv () from /lib64/libglib-2.0.so.0
No symbol table info available.
#6  0x0000003c9c6350e3 in g_log () from /lib64/libglib-2.0.so.0
No symbol table info available.
#7  0x0000003c9c635166 in g_assert_warning () from /lib64/libglib-2.0.so.0
No symbol table info available.
#8  0x00002aaab7750487 in em_format_html_display_new ()
   from /usr/lib64/evolution/2.8/components/libevolution-mail.so
No symbol table info available.
#9  0x00002aaab775140e in em_format_html_new ()
   from /usr/lib64/evolution/2.8/components/libevolution-mail.so
No symbol table info available.
#10 0x0000003e2ea6b72d in html_g_cclosure_marshal_BOOLEAN__OBJECT ()
   from /usr/lib64/libgtkhtml-3.8.so.15
No symbol table info available.
#11 0x0000003c9ce0af19 in g_closure_invoke () from /lib64/libgobject-2.0.so.0
No symbol table info available.
#12 0x0000003c9ce1a788 in g_signal_chain_from_overridden ()
   from /lib64/libgobject-2.0.so.0
No symbol table info available.
#13 0x0000003c9ce1b99d in g_signal_emit_valist ()
   from /lib64/libgobject-2.0.so.0
No symbol table info available.
#14 0x0000003c9ce1bda3 in g_signal_emit () from /lib64/libgobject-2.0.so.0
No symbol table info available.
#15 0x0000003e2ea3011e in gtk_html_get_top_html ()
   from /usr/lib64/libgtkhtml-3.8.so.15
No symbol table info available.
#16 0x0000003e2ea6b72d in html_g_cclosure_marshal_BOOLEAN__OBJECT ()
   from /usr/lib64/libgtkhtml-3.8.so.15
No symbol table info available.
#17 0x0000003c9ce0af19 in g_closure_invoke () from /lib64/libgobject-2.0.so.0
No symbol table info available.
#18 0x0000003c9ce1a788 in g_signal_chain_from_overridden ()
   from /lib64/libgobject-2.0.so.0
No symbol table info available.
#19 0x0000003c9ce1b99d in g_signal_emit_valist ()
   from /lib64/libgobject-2.0.so.0
No symbol table info available.
#20 0x0000003c9ce1bda3 in g_signal_emit () from /lib64/libgobject-2.0.so.0
No symbol table info available.
#21 0x0000003e2ea5bb9f in html_engine_add_object_with_id ()
   from /usr/lib64/libgtkhtml-3.8.so.15
No symbol table info available.
#22 0x0000003e2ea5a460 in html_engine_add_object_with_id ()
   from /usr/lib64/libgtkhtml-3.8.so.15
No symbol table info available.
#23 0x0000003e2ea5fedd in html_engine_update_focus_if_necessary ()
   from /usr/lib64/libgtkhtml-3.8.so.15
No symbol table info available.
#24 0x0000003e2ea5ff88 in html_engine_flush ()
   from /usr/lib64/libgtkhtml-3.8.so.15
No symbol table info available.
#25 0x00002aaab7757b89 in em_html_stream_new ()
   from /usr/lib64/evolution/2.8/components/libevolution-mail.so
No symbol table info available.
#26 0x00002aaab776429f in em_sync_stream_get_type ()
   from /usr/lib64/evolution/2.8/components/libevolution-mail.so
No symbol table info available.
#27 0x0000003c9c62cf64 in g_main_context_dispatch ()
   from /lib64/libglib-2.0.so.0
No symbol table info available.
#28 0x0000003c9c62fd9d in g_main_context_check () from /lib64/libglib-2.0.so.0
No symbol table info available.
#29 0x0000003c9c6300aa in g_main_loop_run () from /lib64/libglib-2.0.so.0
No symbol table info available.
#30 0x0000003ca842d0e6 in bonobo_main () from /usr/lib64/libbonobo-2.so.0
No symbol table info available.
#31 0x000000000041596d in POA_GNOME_Evolution_DataServer_InterfaceCheck__fini
    ()
No symbol table info available.
#32 0x00002aaaad40b8a4 in __libc_start_main () from /lib64/libc.so.6
No symbol table info available.
#33 0x0000000000409c09 in ?? ()
No symbol table info available.
#34 0x00007fff1cf936b8 in ?? ()
No symbol table info available.
#35 0x0000000000000000 in ?? ()
No symbol table info available.
#0  0x00002aaaabc2b9ff in waitpid () from /lib64/libpthread.so.0


----------- .xsession-errors (235039 sec old) ---------------------
    self.on_search_completed (results)
  File "/usr/lib64/rhythmbox/plugins/artdisplay/AmazonCoverArtSearch.py", line
205, in on_search_completed
    self.on_search_completed_callback (self, self.entry, result, *self.args)
  File "/usr/lib64/rhythmbox/plugins/rb/Coroutine.py", line 53, in callback
    self._resume ()
  File "/usr/lib64/rhythmbox/plugins/rb/Coroutine.py", line 38, in _resume
    self._continuation.next ()
  File "/usr/lib64/rhythmbox/plugins/artdisplay/CoverArtDatabase.py", line 154,
in image_search
    yield self.loader.get_url (str (url), plexer.send ())
  File "/usr/lib64/rhythmbox/plugins/rb/Loader.py", line 54, in get_url
    gnomevfs.async.open (url, self.open_cb, data=("", callback, args))
TypeError: Cannot build a gnomevfs.URI
Fri Aug  3 17:52:01 2007
 main:        End of stream
--------------------------------------------------
Comment 1 Matthew Barnes 2007-08-09 15:04:53 EDT
Can you attach the offending email so I can take a look?
You can sanitize it or post it privately if you want.
Comment 2 Robert Peterson 2007-08-09 16:43:26 EDT
Created attachment 161020 [details]
Tar/Zip of mail folder containing the offending email

After verifying that the offending email can still crash evolution,
I moved it to a mail folder named after the bugzilla number, then
I tar/zipped it.
Comment 3 Matthew Barnes 2007-08-09 17:25:54 EDT
Hmm, I imported the mbox file and it renders okay for me using Evolution 2.11 in
Fedora 8 Test 1 and Evolution 2.8.0 in RHEL5.  No crash in either case.
Comment 4 Robert Peterson 2007-08-09 18:03:34 EDT
I have FC6 and Evolution 2.8.3-2 and I'm in an x86_64 environment, if
that matters at all.
Comment 5 Robert Peterson 2007-08-20 12:39:27 EDT
I just verified that this recreates on F7 with evolution-2.10.3-2.fc7.
Comment 6 Robert Peterson 2007-09-27 18:36:57 EDT
This is becoming more common for me.  I recreate it often on
evolution-2.10.3-4.fc7 with different emails.  It always seems to
happen when there are attachments, e.g. pdf files, but the error does
not occur when opening the attachment, but opening the email itself.
Comment 7 Milan Crha 2007-11-21 11:10:50 EST
This has been fixed to not crash in Fedora 8 Evolution. Can you try to reproduce
it there, please? (I was unable to let Evolution crash on Fedora 8 with your
message). Thanks in advance.
Comment 8 Robert Peterson 2007-11-26 13:15:59 EST
I had several emails squirreled away that recreated this failure on
F7, but they don't crash it now with evolution-2.12.1-3.fc8.
I am unable to recreate the problem on F8 so you can close this one
CURRENTRELEASE or something.

Comment 9 Matthew Barnes 2007-11-26 16:26:54 EST
That's good news, thanks for testing.  Changing resolution to CURRENTRELEASE.

Note You need to log in before you can comment on or make changes to this bug.